Bug 1265630 - (CVE-2015-4511) CVE-2015-4511 Mozilla: Buffer overflow while decoding WebM video (MFSA 2015-105)
CVE-2015-4511 Mozilla: Buffer overflow while decoding WebM video (MFSA 2015-105)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150922,repo...
: Security
Depends On:
Blocks: 1261782
  Show dependency treegraph
 
Reported: 2015-09-23 07:44 EDT by Prasad J Pandit
Modified: 2015-09-29 02:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-29 02:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-09-23 07:44:31 EDT
Using the Address Sanitizer tool, security researcher Atte Kettunen discovered
a buffer overflow in the nestegg library when decoding a WebM format video
with maliciously formatted headers. This leads to a potentially exploitable
crash.

External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-105/
Comment 1 Martin Prpič 2015-09-24 08:34:49 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Atte Kettunen as the original reporter.
Comment 2 errata-xmlrpc 2015-09-24 14:40:33 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1834 https://rhn.redhat.com/errata/RHSA-2015-1834.html

Note You need to log in before you can comment on or make changes to this bug.